// creare degli ascoltatori sui radio button
// chiamare il server (API), stampare la tabella con risultati
function crea_tabella(data)
{
	$('#id_tab').append("<tr id='hr'></tr>");
	$.each(data[0], function(k, v){
		$('#hr').append("<td>" + k + "</td>");
	});
	
	for(var i=0; i < data.length; i++)
	{
		$('#id_tab').append("<tr id='b" + i + "'></tr>");
		$.each(data[i], function(k,v){
			$("#b" + i).append("<td>" + v + "</td>");
		});
	}
}

function crea_grafico(data)
{
	var opzioni = {
		title 	: { text: 'Frutta'},
		chart	: { type: 'pie'},
		series	: data.series,
		xAxis	: {categories: data.categories}
	
	}
	Highcharts.chart('grafico_barre',opzioni);
}

function cancella()
{
	$("#id_tab").empty();
	$("#bURL").remove();
	$("#bCoord").remove();
}

function crea_pulsante(id_pulsante, type)
{
	$('#id_div').append("<button id='" + id_pulsante + "' type='button'>\
	" + type + "</button>");
	
	$("#" + id_pulsante).click(function(){
		$("#id_tab").empty();
		$.getJSON('api/comuni-get.php?type=' + type, crea_tabella);
	});
			
}

$(document).ready(function(){

	$('input[name=scelta]:radio').change(function(){
		var type = $('input[name=scelta]:checked').val();
		if(type == 'popolazione')
		{
			console.log('popolazione');
			cancella();
			$.getJSON('api/popolazione.php?serie=singola', crea_grafico);
		}
		else
		{
			console.log('comuni');
			cancella();
			crea_pulsante("bCoord", "coordinate");
			crea_pulsante("bURL", "url");
			
			/*$('#id_div').append("<button id='bCoord' type='button'>\
			Coordinate</button>");
			$('#id_div').append("<button type='button' id='bURL'>\
			URL</button>");
			
			$("#bURL").click(function(){
				$("#id_tab").empty();
				$.getJSON('api/comuni-get.php?type=url', crea_tabella);
			});
			$("#bCoord").click(function(){
				$("#id_tab").empty();
				$.getJSON('api/comuni-get.php?type=coordinate', crea_tabella);
			});*/
		}
	});

});